rmlsend
1
November 2017
Linux Audio Manual

# rmlsend

Send Rivendell Macro Language (RML) commands
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rmlsend
          --from-file=filename
          --to-host=hostname
          --to-port=port
          rml

## Description

`rmlsend` 1 is a small utility that can be used to send RML commands to a local or remote Rivendell host. It can operate in two modes: GUI or a command line interface (CLI).

If started with no arguments, `rmlsend` 1 will come up in GUI mode, otherwise it will attempt to perform the specified operation and then exit.

## Options

`--from-file=`filename

  Take the command(s) to send from filename, rather than specifying them on the command-line. If `-` is specified as filename, the commands will be read from standard input.

`--to-host=`host

  Send the specified command(s) to host.

`--set-port=`port

  Send the specified command(s) to UDP port port. Default value is `5858`.